Package oracle.jdbc.dcn

## Enum DatabaseChangeEvent.EventType

- java.lang.Object
- - java.lang.Enum<DatabaseChangeEvent.EventType>
  - - oracle.jdbc.dcn.DatabaseChangeEvent.EventType

All Implemented Interfaces:
  `Serializable`, `Comparable<DatabaseChangeEvent.EventType>`

Enclosing class:
  DatabaseChangeEvent

    public static enum DatabaseChangeEvent.EventType
    extends Enum<DatabaseChangeEvent.EventType>

### Enum Constant Summary

Enum Constants
`DEREG` Event type: unregistered or timed out.
`NONE` Event type: no further information about the change notification.
`OBJCHANGE` Event type: Object change notification.
`QUERYCHANGE` Event type: Query change notification.
`SHUTDOWN` Event type: instance shutdown.
`SHUTDOWN_ANY` Event type: any instance shutdown - Real Application Clusters (RAC).
`STARTUP` Event type: database startup.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()` Implementation detail (for internal use only).
`static DatabaseChangeEvent.EventType` `getEventType​(int code)` Implementation detail (for internal use only).
`static DatabaseChangeEvent.EventType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DatabaseChangeEvent.EventType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final DatabaseChangeEvent.EventType NONE

Event type: no further information about the change notification.

#### STARTUP

    public static final DatabaseChangeEvent.EventType STARTUP

Event type: database startup.

#### SHUTDOWN

    public static final DatabaseChangeEvent.EventType SHUTDOWN

Event type: instance shutdown.

#### SHUTDOWN_ANY

    public static final DatabaseChangeEvent.EventType SHUTDOWN_ANY

Event type: any instance shutdown - Real Application Clusters (RAC).

#### DEREG

    public static final DatabaseChangeEvent.EventType DEREG

Event type: unregistered or timed out.

#### OBJCHANGE

    public static final DatabaseChangeEvent.EventType OBJCHANGE

Event type: Object change notification.

#### QUERYCHANGE

    public static final DatabaseChangeEvent.EventType QUERYCHANGE

Event type: Query change notification.

### Method Detail

#### values

    public static DatabaseChangeEvent.EventType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DatabaseChangeEvent.EventType c : DatabaseChangeEvent.EventType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DatabaseChangeEvent.EventType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getCode

    public final int getCode()

Implementation detail (for internal use only).

#### getEventType

    public static final DatabaseChangeEvent.EventType getEventType​(int code)

Implementation detail (for internal use only).